package fr.openium.consentium.ui.theme

import androidx.compose.foundation.isSystemInDarkTheme
import androidx.compose.material3.MaterialTheme
import androidx.compose.material3.darkColorScheme
import androidx.compose.material3.lightColorScheme
import androidx.compose.runtime.Composable

private val DarkColorScheme = darkColorScheme(
    primary = Primary,
    onPrimary = OnPrimary,

    secondary = Secondary,
    onSecondary = OnSecondary,

    tertiary = Tertiary,

    onSurfaceVariant = OnSurfaceVariant,
    onSurface = OnSurface,

    error = Error,
    surfaceContainerHighest = SurfaceHighest,
    surfaceContainerHigh = SurfaceHigh,
    surfaceContainer = SurfaceMiddle,
)

private val LightColorScheme = lightColorScheme(
    primary = Primary,
    onPrimary = OnPrimary,

    secondary = Secondary,
    onSecondary = OnSecondary,

    tertiary = Tertiary,

    onSurfaceVariant = OnSurfaceVariant,
    onSurface = OnSurface,

    error = Error,
    surfaceContainerHighest = SurfaceHighest,
    surfaceContainerHigh = SurfaceHigh,
    surfaceContainer = SurfaceMiddle,
)

@Composable
fun ConsentiumTheme(
    darkTheme: Boolean = isSystemInDarkTheme(),
    content: @Composable () -> Unit,
) {
    val colorScheme = when {
        darkTheme -> DarkColorScheme
        else -> LightColorScheme
    }

    MaterialTheme(
        colorScheme = colorScheme,
        typography = Typography,
        content = content
    )
}