package fr.openium.consentium_ui.ui.components.style

import androidx.compose.runtime.Composable
import androidx.compose.runtime.ReadOnlyComposable
import androidx.compose.runtime.staticCompositionLocalOf
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.text.TextStyle

internal val LocalColors = staticCompositionLocalOf {
    ConsentiumColors(
        primary = Color.Unspecified,
        onPrimary = Color.Unspecified,
        secondary = Color.Unspecified,
        onSecondary = Color.Unspecified,
        tertiary = Color.Unspecified,
        onSurfaceVariant = Color.Unspecified,
        onSurface = Color.Unspecified,
        outline = Color.Unspecified,
        error = Color.Unspecified,
        surfaceHighest = Color.Unspecified,
        surfaceHigh = Color.Unspecified,
        surfaceMiddle = Color.Unspecified,
        success = Color.Unspecified,
    )
}

internal val LocalTypography = staticCompositionLocalOf {
    ConsentiumTypography(
        h1 = TextStyle.Default,
        h2 = TextStyle.Default,
        b1 = TextStyle.Default,
        p1 = TextStyle.Default,
        b2 = TextStyle.Default,
        p2 = TextStyle.Default,
        b3 = TextStyle.Default,
        p3 = TextStyle.Default,
        button = TextStyle.Default,
        sm2 = TextStyle.Default,
    )
}

internal object ConsentiumUITheme {
    val colors: ConsentiumColors
        @Composable
        @ReadOnlyComposable
        get() = LocalColors.current

    val typography: ConsentiumTypography
        @Composable
        @ReadOnlyComposable
        get() = LocalTypography.current
}