package fr.openium.consentium_ui.ui.state

import fr.openium.consentium_ui.ui.model.DetailConsentUI
import fr.openium.consentium_ui.ui.model.GeneralConsentUI

internal sealed interface ConsentiumUIState {

    data object Loading : ConsentiumUIState

    data class Loaded(
        val generalConsentUI: GeneralConsentUI,
        val detailConsentUI: DetailConsentUI,
    ) : ConsentiumUIState

    data class Error(val message: String) : ConsentiumUIState

}