package fr.openium.consentium.domain.useCase

import fr.openium.consentium.data.local.ConsentiumDataStore
import javax.inject.Inject

interface GetConsentiumUniqueInstallationIdUseCase {
    suspend operator fun invoke(): String
}

class GetConsentiumUniqueInstallationIdUseCaseImpl @Inject internal constructor(
    private val consentiumDataStore: ConsentiumDataStore,
) : GetConsentiumUniqueInstallationIdUseCase {

    override suspend operator fun invoke(): String {
        return consentiumDataStore.getInstallationUniqueId()
    }

}
